> For the complete documentation index, see [llms.txt](https://docs.verygoodsecurity.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verygoodsecurity.com/cmp/products-and-services/account-validation/validation-response-codes.md).

# Validation Response Codes

1. **Card Verification**: This service verifies the account authenticity and integrity before authorization. <br>

   <table><thead><tr><th width="195.14556884765625">Response</th><th>Description</th></tr></thead><tbody><tr><td><code>verified</code></td><td>Card was successfully verified. </td></tr><tr><td><code>not_verified</code></td><td>Card verification failed due to a number of reasons including:<br>- Lost card<br>- Stolen card<br>- Closed account</td></tr></tbody></table>

2. **Address Verification Service (AVS):** The service validates the provided billing address against the address on file with the card issuer. <br>

   <table><thead><tr><th width="196.54827880859375">Response</th><th>Description</th></tr></thead><tbody><tr><td><code>match</code></td><td>Address provided by card holder fully matches address on file with the card issuer.</td></tr><tr><td><code>no_match</code></td><td>Address provided by card holder does not match address on file with the card issuer.</td></tr><tr><td><code>partial_match</code></td><td><p>Address provided by card holder partially matches address on file with the card issuer for the following reasons:</p><p></p><ul><li>Partially match. Street address provided matches, but 5-digit postal code does not.</li><li>Partially match. 5-digit postal code matches, but street address does not.</li></ul></td></tr><tr><td><code>not_supported</code></td><td><ul><li>Address verification is not supported. </li><li>Address provided by card holder could not be verified against address on file with the card issuer.</li></ul></td></tr></tbody></table>

3. **CVC Verification :** This service facilitates the CVC validation status check with the card issuer.<br>

   <table><thead><tr><th width="204.33941650390625">Response</th><th>Description</th></tr></thead><tbody><tr><td><code>match</code></td><td>CVC provided by card holder passes verification.</td></tr><tr><td><code>no_match</code></td><td>CVC provided by card holder failed verification.</td></tr><tr><td><code>system_unavailable</code></td><td>Issuer's system is unavailable.</td></tr><tr><td><code>invalid_data</code></td><td>Malformed CVC value or unexpected characters.</td></tr><tr><td><code>non_participating</code></td><td>Issuer does not participate in CVC verification.</td></tr></tbody></table>

4. **Account Name Inquiry (ANI):** Enhances your card-not-present fraud mitigation with Real-Time Name Match. <br>

   <table><thead><tr><th width="203.84942626953125">Response</th><th>Description</th></tr></thead><tbody><tr><td><code>match</code></td><td>Name provided by card holder fully matches name on file with the card issuer.</td></tr><tr><td><code>no_match</code></td><td>Name provided by card holder does not match name on file with the card issuer.</td></tr><tr><td><code>partial_match</code></td><td>Name provided by card holder partially matches name on file with the card issuer. </td></tr><tr><td><code>not_performed</code></td><td>Name verification was not performed by the issuer or issuer is not participating in Name verification.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.verygoodsecurity.com/cmp/products-and-services/account-validation/validation-response-codes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
